Subject: [PATCH v2 01/10] perf tools: Integrating the CoreSight decoding library

From: [email-masked] (Arnaldo Carvalho de Melo)
Date: Fri, 19 Jan 2018 12:55:35 -0300

Em Fri, Jan 19, 2018 at 08:24:56AM -0700, Mathieu Poirier escreveu:
> On 19 January 2018 at 08:12, Jiri Olsa <[email-masked]> wrote:
> > On Fri, Jan 19, 2018 at 11:58:19AM -0300, Arnaldo Carvalho de Melo wrote:
> >> Em Thu, Jan 18, 2018 at 03:27:43PM +0100, Jiri Olsa escreveu:
> >> > On Thu, Jan 18, 2018 at 11:14:23AM -0300, Arnaldo Carvalho de Melo wrote:
> >> > > Em Thu, Jan 18, 2018 at 02:59:48PM +0100, Jiri Olsa escreveu:
> >> > > > On Thu, Jan 18, 2018 at 10:41:39AM -0300, Arnaldo Carvalho de Melo wrote:
> >> > > > >       Shouldn't libopencsd be treated like libbabeltrace was before
> >> > > > > the required version was widely available in distros?
> >> > >
> >> > > > >       I.e. these csets should have the rationale for that:
> >> > >
> >> > > > > Enabling it once it became widely available:
> >> > >
> >> > > > >    24787afbcd01 ("perf tools: Enable LIBBABELTRACE by default")
> >> > >
> >> > > > > Disabling it because we would need to get things from tarballs/git
> >> > > > > repos, build it in our machines, as requested by Ingo:
> >> > >
> >> > > > >   6ab2b762befd ("perf build: Disable libbabeltrace check by default")
> >> > > >
> >> > > > I think at that time we did not have a way to hide the check,
> >> > > > now we have FEATURE_DISPLAY seprated so we can still check
> >> > > > for it, but users won't be bothered with [ FAIL ] output
> >> > >
> >> > > Ok, users won't be bothered with the fail output, but we tried hard to
> >> > > get the build fast by having it only test for things that are widely
> >> > > available, right? I.e. if we know something is not widely available then
> >> > > we better not try to build with it and get faster builds, wasn't that
> >> > > part of the rationale in the babeltrace case?
> >> > >
> >> > > If one has to build from sources some library, then its not a problem to
> >> > > have in the make command line a LIBOPENCSD=1 switch?
> >> >
> >> > right, we can do it like that
> >>
> >> So I'm applying v2 and we can go on from there, to make progress, ok?
> >> I'm adding your Acked-by to all but the build ones, ok?
> >
> > I think v3 was in better shape.. wrt tabs and overall display
> >
> > jirka
> 
> Jiri is correct - V3 should be considered.

So, please take a look at my perf/core branch, hopefully my mistake was
just on the message saying I would apply v2, check that v3 was what I
applied.

- Arnaldo